/**
 * Date:            Time:       User:               Description:
 * 05.05.2006       12:13       Smart Max           creation of the file TestUtil.java
 *
 */
package org.max.xml.index;

import junit.framework.TestCase;
import org.max.trie.INode;

/**
 * TestUtil
 */
abstract class TestUtil extends TestCase {
    public static void checkLeafNode(INode node, String docID) {
        assertNotNull(node);
        assertEquals(0, node.getOutcomingSymbols().size());
        assertNotNull(node.getReferences());
        assertTrue(node.getReferences().size() > 0);

        XMLReference reference = (XMLReference) node.getReferences().get(0);
        assertEquals(docID, reference.getDocID());
    }

    public static void checkLeafNode(INode node) {
        assertNotNull(node);
        assertEquals(0, node.getOutcomingSymbols().size());
        assertNull(node.getReferences());
    }

    public static void checkInternalNode(INode node, String docID) {
        assertNotNull(node);
        assertTrue(node.getOutcomingSymbols().size() > 0);
        assertNotNull(node.getReferences());
        assertTrue(node.getReferences().size() > 0);

        XMLReference reference = (XMLReference) node.getReferences().get(0);
        assertEquals(docID, reference.getDocID());
    }

    public static void checkInternalNode(INode node) {
        assertNotNull(node);
        assertTrue(node.getOutcomingSymbols().size() > 0);
        assertNull(node.getReferences());
    }
}
